Subject: Re: Anyone got patches for V GUI?
From: [email-masked] ("Antonio Vargas")

2 Jul 1997 23:10:42 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <19970703025726.AAA16665.cygnus.gnu-win32@avargas>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
Original-To: "D. Jeff Dionne" <[email-masked]>, <[email-masked]>
Original-Cc: "D. Jeff Dionne" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

 It works fine for me. The V framework was built using cygnus b18 and mingw
0.1.4. + 
mingw libstdc++.a, ( eliminating de mingw32 _G_Config.h ) my own makefile
and 

Vcmdprnt.cpp
line  31

#ifdef _WIN32
#define NWORD DWORD
// Introduced by Antonio M. F. Vargas; 16th June 1997;P.D., Azores,
Portugal
#define far	
#define FAR
// End Introduction 16th June 1997
#else
#define NWORD WORD
#endif

----------
> From: D. Jeff Dionne <[email-masked]>
> To: [email-masked]
> Cc: D. Jeff Dionne <[email-masked]>
> Subject: Anyone got patches for V GUI?
> Date: terga-feira, 1 de julho de 1997 7:42
> 
> Hi all.
> 
> Back around b14, the V GUI kit was ported/bundled with cygwin32.  Has
anyone
> managed to maintain that, or perhaps have the old patches still kicking
> about that I can try?  It compiles fine, with the exception of a #include
> that's not needed anyway in one file, and a 'far' pointer that really
just
> does a strcpy anyway.  Unfortunately, it's very unstable.  It refuses to
> display toolbars (in any program, mine or the examples, but works fine on
> Linux and X). Some things, like status bars, cause the thing to crash
> at startup, others seem to cause Windows to create piles of events in
> a _preemptive_ way, re-entering the redraw handler _before_ it finishes
> (verified with puts()).  I figure there is an event callback is doing 
> funny things.
> 
> Is there something I need to do to make sure that both cygwin.dll and the
V
> app runtime get the proper startup?  I'm thinking that something is not
getting
> set up correctly since V contains WinMain() insted of main().  I can see
> no way to call V as main() since it want's some Windows HANDLE things
> (which I have no clue about, give me X anyday).
> 
> If someone knows what's going on in here I'd be very happy :-)  If not,
> I'll keep pluging at it and report what I find.
> 
> Thanks in advance,
> cheers, Jeff.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".